# \Thelia\Core\FactoryActionEventFactory

## Summary

Methods
Properties
Constants
__construct()
createActionEvent()
No public properties found
No constants found
No protected methods found
$request
$action
$className
$defaultClassName
N/A
No private methods found
No private properties found
N/A

File
  Core/Factory/ActionEventFactory.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Factory\ActionEventFactory

## Tags

None found

## Properties

### $request

    $request : \Symfony\Component\HttpFoundation\Request

#### Type

\Symfony\Component\HttpFoundation\Request

#

## Tags

None found

### $action

    $action : string

#### Type

string

#

## Tags

None found

### $className

    $className : array

array( "action.addCart" => "Thelia\Core\Event\CartAction" )

#### Type

array — key are action name and value the Event class to dispatch

#

## Tags

None found

### $defaultClassName

    $defaultClassName

#

## Tags

None found

## Methods

### __construct()

    __construct(\Symfony\Component\HttpFoundation\Request $request,  $action,  $className)

#### Parameters

\Symfony\Component\HttpFoundation\Request | $request |
| $action |
| $className |

#

## Tags

None found

### createActionEvent()

    createActionEvent()

#

## Tags

None found

### ActionEventFactory.php